// priority: 0


let countItems = 0

StartupEvents.registry('item', event => {

    // event.create('mv_retrograde_circuit')
    //     .displayName('MV Retrograde Circuit')
    //     .texture('kubejs:item/mv_retrograde_circuit')
    //     .tooltip('§7Can be used as LV to MV Circuits')
    //     .tooltip('§dLV -> MV-Tier Circuit')
    //     .tooltip('§dNYI')
    // .tag('gtceu:circuits/lv')
    // .tag('gtceu:circuits/mv')

    // event.create('hv_retrograde_circuit')
    //     .displayName('HV Retrograde Circuit')
    //     .texture('kubejs:item/hv_retrograde_circuit')
    //     .tooltip('§7Can be used as LV to HV Circuits')
    //     .tooltip('§dLV -> HV-Tier Circuit')
    //     .tooltip('§dNYI')
    // .tag('gtceu:circuits/lv')
    // .tag('gtceu:circuits/mv')
    // .tag('gtceu:circuits/hv')

    // event.create('ev_retrograde_circuit')
    //     .displayName('EV Retrograde Circuit')
    //     .texture('kubejs:item/ev_retrograde_circuit')
    //     .tooltip('§7Can be used as LV to EV Circuits')
    //     .tooltip('§dLV -> EV-Tier Circuit')
    //     .tooltip('§dNYI')
    // .tag('gtceu:circuits/lv')
    // .tag('gtceu:circuits/mv')
    // .tag('gtceu:circuits/hv')
    // .tag('gtceu:circuits/ev')

    // credits
    event.create('ulv_credit')
        .displayName('ULV Credit')
        .texture('kubejs:item/ulv_credit')
        .tooltip('§7ULV Credit to buy things')
        .tooltip('§dConvert 4 into 1 of the next tier')
    countItems += 1

    event.create('lv_credit')
        .displayName('LV Credit')
        .texture('kubejs:item/lv_credit')
        .tooltip('§7LV Credit to buy things')
        .tooltip('§dConvert 4 into 1 of the next tier')
        .tooltip('§dConvert 1 into 4 of the previous tier')
    countItems += 1

    event.create('mv_credit')
        .displayName('MV Credit')
        .texture('kubejs:item/mv_credit')
        .tooltip('§7MV Credit to buy things')
        .tooltip('§dConvert 4 into 1 of the next tier')
        .tooltip('§dConvert 1 into 4 of the previous tier')
    countItems += 1

    event.create('hv_credit')
        .displayName('HV Credit')
        .texture('kubejs:item/hv_credit')
        .tooltip('§7HV Credit to buy things')
        .tooltip('§dConvert 4 into 1 of the next tier')
        .tooltip('§dConvert 1 into 4 of the previous tier')
    countItems += 1

    event.create('ev_credit')
        .displayName('EV Credit')
        .texture('kubejs:item/ev_credit')
        .tooltip('§7EV Credit to buy things')
        .tooltip('§dConvert 4 into 1 of the next tier')
        .tooltip('§dConvert 1 into 4 of the previous tier')
    countItems += 1

    event.create('iv_credit')
        .displayName('IV Credit')
        .texture('kubejs:item/iv_credit')
        .tooltip('§7IV Credit to buy things')
        .tooltip('§dConvert 4 into 1 of the next tier')
        .tooltip('§dConvert 1 into 4 of the previous tier')
    countItems += 1

    event.create('luv_credit')
        .displayName('LuV Credit')
        .texture('kubejs:item/luv_credit')
        .tooltip('§7LuV Credit to buy things')
        .tooltip('§dConvert 4 into 1 of the next tier')
        .tooltip('§dConvert 1 into 4 of the previous tier')
    countItems += 1

    event.create('zpm_credit')
        .displayName('ZPM Credit')
        .texture('kubejs:item/zpm_credit')
        .tooltip('§7ZPM Credit to buy things')
        .tooltip('§dConvert 4 into 1 of the next tier')
        .tooltip('§dConvert 1 into 4 of the previous tier')
    countItems += 1

    event.create('uv_credit')
        .displayName('UV Credit')
        .texture('kubejs:item/uv_credit')
        .tooltip('§7UV Credit to buy things')
        .tooltip('§dConvert 4 into 1 of the next tier')
        .tooltip('§dConvert 1 into 4 of the previous tier')
    countItems += 1

    event.create('uhv_credit')
        .displayName('UHV Credit')
        .texture('kubejs:item/uhv_credit')
        .tooltip('§7UHV Credit to buy things')
        .tooltip('§dConvert 1 into 4 of the previous tier')
    countItems += 1

    // universal circuits
    event.create('lv_universal_circuit')
        .displayName('LV Universal Circuit')
        .texture('kubejs:item/lv_universal_circuit')
        .tooltip('§7Can be used in place of any LV Circuit')
    countItems += 1

    event.create('mv_universal_circuit')
        .displayName('MV Universal Circuit')
        .texture('kubejs:item/mv_universal_circuit')
        .tooltip('§7Can be used in place of any MV Circuit')
    countItems += 1

    event.create('hv_universal_circuit')
        .displayName('HV Universal Circuit')
        .texture('kubejs:item/hv_universal_circuit')
        .tooltip('§7Can be used in place of any HV Circuit')
    countItems += 1

    event.create('ev_universal_circuit')
        .displayName('EV Universal Circuit')
        .texture('kubejs:item/ev_universal_circuit')
        .tooltip('§7Can be used in place of any EV Circuit')
    countItems += 1

    event.create('iv_universal_circuit')
        .displayName('IV Universal Circuit')
        .texture('kubejs:item/iv_universal_circuit')
        .tooltip('§7Can be used in place of any IV Circuit')
    countItems += 1

    event.create('luv_universal_circuit')
        .displayName('LuV Universal Circuit')
        .texture('kubejs:item/luv_universal_circuit')
        .tooltip('§7Can be used in place of any LuV Circuit')
    countItems += 1

    event.create('zpm_universal_circuit')
        .displayName('ZPM Universal Circuit')
        .texture('kubejs:item/zpm_universal_circuit')
        .tooltip('§7Can be used in place of any ZPM Circuit')
    countItems += 1

    event.create('uv_universal_circuit')
        .displayName('UV Universal Circuit')
        .texture('kubejs:item/uv_universal_circuit')
        .tooltip('§7Can be used in place of any UV Circuit')
    countItems += 1

    event.create('uhv_universal_circuit')
        .displayName('UHV Universal Circuit')
        .texture('kubejs:item/uhv_universal_circuit')
        .tooltip('§7Can be used in place of any UHV Circuit')
    countItems += 1

    // greg_g_base
    event.create('greg_g_base')
        .displayName('§cUnfinished §aGear §dof §b§kGreg')
        .texture('kubejs:item/greg_g_base')
        .tooltip('§c?§a?§d?§b§k?')
    countItems += 1

    // greg_g
    event.create('greg_g')
        .displayName('§aGear §dof §b§kGreg')
        .texture('kubejs:item/greg_g')
        .tooltip('§a?§d?§b§k?')
    countItems += 1

    // // cooling_cartridge
    // event.create('cooling_cartridge')
    //     .displayName('Cooling Cartridge')
    //     .texture('kubejs:item/cooling_cartridge')
    //     .tooltip('?')
    // countItems += 1

    // // cryo_circuit
    // event.create('cryo_circuit')
    //     .displayName('Cryo Circuit')
    //     .texture('kubejs:item/cryo_circuit/cryo_circuit')
    //     .tooltip('?')
    // countItems += 1

    // // cryo_mainframe
    // event.create('cryo_mainframe')
    //     .displayName('Cryo Circuit')
    //     .texture('kubejs:item/cryo_mainframe/cryo_mainframe')
    //     .tooltip('?')
    // countItems += 1

    // simulation_chip
    event.create('simulation_chip')
        .modelJson({
            parent: 'minecraft:item/generated',
            textures: {
                layer0: 'kubejs:item/simulation_chip/simulation_chip'
            }
        })
        .displayName('Simulation Chip')
        .tooltip('§7Simulation Input Module')
    countItems += 1

    // simulation_wafer
    event.create('simulation_wafer')
        .modelJson({
            parent: 'minecraft:item/generated',
            textures: {
                layer0: 'kubejs:item/simulation_wafer/simulation_wafer'
            }
        })
        .displayName('Simulation Wafer')
        .tooltip('§7Raw Simulation Input Circuit')
    countItems += 1

    // harvester_tier_1
    event.create('harvester_tier_1')
        .modelJson({
            parent: 'minecraft:item/generated',
            textures: {
                layer0: 'kubejs:item/harvesters/harvester_tier_1'
            }
        })
        .displayName('Harvester Tier 1')
        .tooltip('§7Havest §5Tier 1 §7materials in the §fCelestial Harvester§7.')
        .tooltip('§7Harvester is returned upon recipe completion.')
        .tooltip('§aConsumes 250,000 EU to start.')
        .tooltip('§6Does not require EU/t when active.')
    countItems += 1

    // harvester_tier_2
    event.create('harvester_tier_2')
        .modelJson({
            parent: 'minecraft:item/generated',
            textures: {
                layer0: 'kubejs:item/harvesters/harvester_tier_2'
            }
        })
        .displayName('Harvester Tier 2')
        .tooltip('§7Havest §9Tier 2 §7materials in the §fCelestial Harvester§7.')
        .tooltip('§7Harvester is returned upon recipe completion.')
        .tooltip('§aConsumes 1,000,000 EU to start.')
        .tooltip('§6Does not require EU/t when active.')
    countItems += 1

    // harvester_tier_3
    event.create('harvester_tier_3')
        .modelJson({
            parent: 'minecraft:item/generated',
            textures: {
                layer0: 'kubejs:item/harvesters/harvester_tier_3'
            }
        })
        .displayName('Harvester Tier 3')
        .tooltip('§7Havest §dTier 3 §7materials in the §fCelestial Harvester§7.')
        .tooltip('§7Harvester is returned upon recipe completion.')
        .tooltip('§aConsumes 4,000,000 EU to start.')
        .tooltip('§6Does not require EU/t when active.')
    countItems += 1

    // harvester_tier_4
    event.create('harvester_tier_4')
        .modelJson({
            parent: 'minecraft:item/generated',
            textures: {
                layer0: 'kubejs:item/harvesters/harvester_tier_4'
            }
        })
        .displayName('Harvester Tier 4')
        .tooltip('§7Havest §cTier 4 §7materials in the §fCelestial Harvester§7.')
        .tooltip('§7Harvester is returned upon recipe completion.')
        .tooltip('§aConsumes 16,000,000 EU to start.')
        .tooltip('§6Does not require EU/t when active.')
    countItems += 1




    // **************************** //
    // **** REGISTRY REPORTING **** //
    // **************************** //

    let countTotals = countItems
    console.info(`[=================================================]`)
    console.info(`[====TOTAL REGISTRIES FROM CUSTOM_ITEMS SCRIPT====]`)
    console.info(`[ITEMS] ${countItems} registered.`)
    console.info(`[TOTAL REGISTRIES] ${countTotals} registered.`)
    console.info(`[=================================================]`)


    // fin //

})